> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/vendor-platform/importing-exporting-data/customers-import.md).

# Customers Import

Importing customers from CSV allows you to quickly upload customer data in bulk, saving time and ensuring consistency when managing customer information. This page provides step-by-step instructions for using both the platform interface and the Management API to import customer data.

## Importing Customers via Platform Interface

{% stepper %}
{% step %}

### Navigate to the Customers Import Section

* Open the `Customers` menu in the sidebar and click the `Customers Imports` tab

![Customers Imports Tab](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/yi51USu0vrm0UdttxBwC/lZ%20HHPTh4XWFBpm_l0M8a_image.png)
{% endstep %}

{% step %}

### Prepare Your CSV File

* Populate your CSV file with your license data.
* There are other **optional headers** that can be included in this CSV file for more detailed configurations, such as `first_name` and `last_name`. See: [Import Customers from CSV](/management-api/customer/import-customers-from-csv.md).
* Optionally, you can download a pre-formatted CSV template to ensure your data conforms to the required structure:
  * [customers\_import\_template.95c819f1.csv](https://api.archbee.com/api/presign/1qQvw4Dswzp513JIpU4f9-fbfYPoMmkPPqxNby5YDHt-20241204-022545.csv)
    {% endstep %}

{% step %}

### Upload Your CSV File

* Drag and drop your prepared file into the upload area or click to browse and select your file. The platform accepts `.csv` files only.

![CSV Upload Area](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/Vvc1DfAzNVBcoH3RSp1Y/uvGBSYBnhY7MB_sP9Nlsk_image.png)
{% endstep %}

{% step %}

### Monitor the Upload Status

* Once uploaded, the platform will validate your data and display the status in the `Imports List` section.
* If successful, the status will show as `success`. Otherwise, review the error messages, correct the data, and re-upload.

![Imports List and Status](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/mdxMcuMkKQOjpUaaqxD7/FoSjZa4re3drSPnIo5ozc_image.png)
{% endstep %}
{% endstepper %}

## Importing Customers via Management API

For users looking to programmatically import customer data, the Management API provides this functionality.

More information regarding this style of importing can be found at [**Import Customers from CSV**](/management-api/customer/import-customers-from-csv.md), our page outlining the Management API endpoint for performing the equivalent action.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.licensespring.com/vendor-platform/importing-exporting-data/customers-import.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
